declare abstract class ApiModule {
    private token;
    namespace: string;
    private cache;
    constructor(token: string);
    protected call(method: any, form?: any, force?: boolean): Promise<any>;
    protected info<T>(idOrFilter: string | Partial<T>, converter: (a: any) => T, keys?: {
        arg?: string;
        response?: string;
    }): Promise<T>;
    protected list<T>(converter: (a: any) => T, partial?: Partial<T>, responseKey?: string): Promise<T[]>;
    private callFromCache(uri, form);
    private forceCall(uri, form);
}
export default ApiModule;
