import Bot from '../../lib/bot';
import Dialog from '../../dialog';
import Command from '../../command';
export default class Consolebot extends Bot<string, {
    id: string;
    name: string;
}> {
    private line;
    constructor(options: {
        dialogs: typeof Dialog[];
        commands?: typeof Command[];
    });
    onText(text: string): void;
    getUser(): Promise<{
        id: string;
        name: string;
    }>;
    formatMessage(message: string, object: any): string;
    sendMessage(chat: string, message: string): Promise<void>;
}
