import Module from './module';
import IChannel from './types/channel';
export default class Channels extends Module {
    info(idOrPartial: string | Partial<IChannel>): Promise<IChannel>;
    list(filter?: Partial<IChannel>): Promise<IChannel[]>;
    join(channelName: string): Promise<IChannel>;
    invite(channel: string, user: string): Promise<any>;
}
