import Bot from './lib/bot';
declare class Command<B extends Bot<any, {
    id: string;
}>> {
    bot: B;
    chat: string;
    static match(message: string): boolean;
    user: B['IUser'];
    constructor(bot: B, chat: string);
    message(message: B['IMessage']): Promise<any>;
    stopDialog(): void;
    perform(): Promise<void> | void;
}
export default Command;
