export interface IAddSignature {
    parser: {
        parse: (msg: string) => any;
        check: (parsed: any) => boolean;
    };
    done: (msg: string) => void;
    error?: (reply: string, parsed: any) => void;
}
export default class Queue {
    private queue;
    private message;
    push(obj: IAddSignature): Promise<void>;
    resetMessage(): void;
    processMessage(msg?: string): Promise<void>;
}
